org.keycloak.jose.jws

## Class JWSInput

- java.lang.Object
- - org.keycloak.jose.jws.JWSInput

- All Implemented Interfaces:
    JOSE

      public class JWSInput
      extends Object
      implements JOSE

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JWSInput(String wire)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getContent()`
    `String` | `getEncodedContent()`
    `String` | `getEncodedHeader()`
    `String` | `getEncodedSignature()`
    `String` | `getEncodedSignatureInput()`
    `JWSHeader` | `getHeader()` Returns the JWT header.
    `byte[]` | `getSignature()`
    `String` | `getWireString()`
    `String` | `readContentAsString()`
    `<T> T` | `readJsonContent(Class<T> type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JWSInput

          public JWSInput(String wire)
                   throws JWSInputException

      Throws:
        `JWSInputException`

  - ### Method Detail

    - #### getWireString

          public String getWireString()

    - #### getEncodedHeader

          public String getEncodedHeader()

    - #### getEncodedContent

          public String getEncodedContent()

    - #### getEncodedSignature

          public String getEncodedSignature()

    - #### getEncodedSignatureInput

          public String getEncodedSignatureInput()

    - #### getHeader

          public JWSHeader getHeader()

      Description copied from interface: `JOSE`
      Returns the JWT header.
      Specified by:
        `getHeader` in interface `JOSE`
      Returns:
        the JWT header

    - #### getContent

          public byte[] getContent()

    - #### getSignature

          public byte[] getSignature()

    - #### readJsonContent

          public <T> T readJsonContent(Class<T> type)
                                throws JWSInputException

      Throws:
        `JWSInputException`

    - #### readContentAsString

          public String readContentAsString()

Copyright © 2021 JBoss by Red Hat. All rights reserved.